Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Thadeu Lima de Souza Cascardo <[email-masked]>
Date: Tue, 29 Apr 2025 07:58:13 -0300

On Tue, Apr 29, 2025 at 03:54:04PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the char-misc tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: modpost: "init_mknod" [drivers/misc/misc_minor_kunit.ko] undefined!
> ERROR: modpost: "init_unlink" [drivers/misc/misc_minor_kunit.ko] undefined!
> 
> Caused by commit
> 
>   45f0de4f8dc3 ("char: misc: add test cases")
> 
> I have used the char-misc tree from next-20250428 for today.
> 
> -- 
> Cheers,
> Stephen Rothwell

Hi, Stephen, thanks for bringing this up.

I fixed a similar issue, because the functions calling init_mknod and
init_unlink were not __init functions. But it seems those symbols are not
exported, so I might need to restrict the test module to be built-in.

Let me test that and get back to you.

Cascardo.